echo off
cls

if (%1)==() goto Help

if exist %1\nul goto DriveOK
echo.
echo    Ŀ
echo                                                                          
echo        Error - invalid path was used                                     
echo                                                                          
echo    
echo.
echo     Use -EXIST Destination where Destination is the path where the old
echo     version of AEsti is located
echo.
echo     For example, if the old version is in C:\ESTI then use  -EXIST C:\ESTI
echo.
echo     Your selected path was %1
goto end


:DriveOK
rem  the paths OK so check if old version is here

if exist %1\AESTI.EXE goto PathOK
cls
echo.
echo    Ŀ
echo                                                                          
echo        Error - unable to find old version of AEsti in this directory     
echo                                                                          
echo    
echo.
echo     Use -EXIST Destination where Destination is the path where the old
echo     version of AEsti is located
echo.
echo     For example, if the old version is in C:\ESTI then use  -EXIST C:\ESTI
echo.
echo     Your selected path was %1
goto end


:PathOK
rem  found a version, make sure user has backed up all old files
cls
echo.
echo.
echo    Ŀ
echo            +++++++++              +++++++++            +++++++++          
echo         *** Warning ***        *** WARNING ***      *** Warning ***       
echo            +++++++++              +++++++++            +++++++++          
echo                                                                           
echo       You MUST make a backup copy of the OLD version first before         
echo       upgrading to the new version, files are erased during the upgrade   
echo       and can not be recovered !                                          
echo                                                                           
echo       Keep the CTRL key pressed down, press C and then enter Y to         
echo       cancel or press any other key to continue upgrading                 
echo                                                                           
echo       During the upgrade you may be prompted to overwrite an existing     
echo       file, reply Y to this prompt otherwise the software will not be     
echo       upgraded                                                            
echo                                                                           
echo    
echo.
pause>nul

cls
echo.
echo    Ŀ
echo                                                                           
echo         Upgrading the old version - please wait                           
echo                                                                           
echo    

copy *.exe %1
copy *.doc %1
copy *.hlp %1
copy *.bat %1
copy *.ico %1

cls
echo.
echo.
echo    Ŀ
echo                                                                           
echo         Software has been upgraded successfully !                         
echo                                                                           
echo    
echo.
goto End

:Help
echo.
echo   Ŀ
echo               Installs and Upgrades an EXISTING version of AEsti            
echo   
echo.
echo    Use a command line of -EXIST Destination  where Destination is the drive
echo    and directory containing the old version of AEsti
echo.
echo    For example, if the old version is in C:\ESTI then use  -EXIST C:\ESTI
echo.
echo    Do not use a trailing slash such as C:\ESTI\. This batch file must be
echo    run from the diretory (folder) where the new software version is located.
echo.
echo   Warning !
echo   
echo    Before upgrading make a backup copy of the OLD version, old files are
echo    erased during the upgrade and can not be recovered !
echo.
echo   Manual Installation
echo   
echo    If you are familiar with DOS then just copy all new files with .EXE, .HLP
echo    .DOC, .BAT and .INI file extensions to where the old version is located

:End
echo.
